
$(document).ready(function() {

    $('#loader').hide();

});

window.addEventListener('DOMContentLoaded', function() {
    $(".quizCustomDate").each(function(){
        // Test if the div element is empty
        if($(this).text().trim().length > 0){
            var date = $(this).text().trim();
            var createdAtTimeSince = timeSince(date);
            
            if (createdAtTimeSince.indexOf("minute") >= 0 || createdAtTimeSince.indexOf("second") >= 0 || createdAtTimeSince.indexOf("hour") >= 0) {
              $(this).text(createdAtTimeSince)
            } else {
              $(this).text(formatDate(date));
            }
            
        }
        
    });
});

function formatDate(date) {
    var d = new Date(date),
        month = '' + (d.getMonth() + 1),
        day = '' + d.getDate(),
        year = d.getFullYear();

    if (month.length < 2) 
        month = '0' + month;
    if (day.length < 2) 
        day = '0' + day;

    return [year, month, day].join('-');
}


function timeSince(date) {
  var seconds = Math.floor((new Date() - new Date(date)) / 1000);

  var interval = Math.floor(seconds / 31536000);
  if (interval >= 1) {
    if(interval >= 1 && interval<2){
         return interval + " year ago";
    }
    return interval + " years";
  }

  interval = Math.floor(seconds / 2592000);
  if (interval >= 1) {
    if(interval >= 1 && interval<2){
         return interval + " month ago";
    }
    return interval + " months";
  }

  interval = Math.floor(seconds / 86400);
  if (interval >= 1) {
    if(interval >= 1 && interval<2){
         return interval + " day ago";
    }
    return interval + " days";
  }

  interval = Math.floor(seconds / 3600);
  if (interval >= 1) {
     if(interval >= 1 && interval<2){
         return interval + " hour ago";
     }
     return interval + " hours ago";
  }

  interval = Math.floor(seconds / 60);
  if (interval >= 1) {
      
    if(interval >= 1 && interval<2){
         return interval + " minute ago";
    }
    return interval + " minutes ago";
    
  }

  return Math.floor(seconds) + " seconds ago";
}
